if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi
( cd usr/share/help/cs/d-feet/figures ; rm -rf icon.png )
( cd usr/share/help/cs/d-feet/figures ; ln -sf ../../../C/d-feet/figures/icon.png icon.png )
( cd usr/share/help/de/d-feet/figures ; rm -rf icon.png )
( cd usr/share/help/de/d-feet/figures ; ln -sf ../../../C/d-feet/figures/icon.png icon.png )
( cd usr/share/help/el/d-feet/figures ; rm -rf icon.png )
( cd usr/share/help/el/d-feet/figures ; ln -sf ../../../C/d-feet/figures/icon.png icon.png )
( cd usr/share/help/es/d-feet/figures ; rm -rf icon.png )
( cd usr/share/help/es/d-feet/figures ; ln -sf ../../../C/d-feet/figures/icon.png icon.png )
( cd usr/share/help/hu/d-feet/figures ; rm -rf icon.png )
( cd usr/share/help/hu/d-feet/figures ; ln -sf ../../../C/d-feet/figures/icon.png icon.png )
( cd usr/share/help/pl/d-feet/figures ; rm -rf icon.png )
( cd usr/share/help/pl/d-feet/figures ; ln -sf ../../../C/d-feet/figures/icon.png icon.png )
( cd usr/share/help/pt_BR/d-feet/figures ; rm -rf icon.png )
( cd usr/share/help/pt_BR/d-feet/figures ; ln -sf /usr/share/help/C/d-feet/figures/icon.png icon.png )
( cd usr/share/help/sv/d-feet/figures ; rm -rf icon.png )
( cd usr/share/help/sv/d-feet/figures ; ln -sf ../../../C/d-feet/figures/icon.png icon.png )
